Skip to main content
`Ctrl`+`K`

# PetscGetMemType

Query the `PetscMemType` of a pointer

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscGetMemType(const void *ptr, PetscMemType *type)

Not Collective, No Fortran Support

## Input Parameter

- ptr - The pointer to query (may be `NULL`)

## Output Parameter

- type - The `PetscMemType` of the pointer

## Notes

Currently only CUDA and HIP memtypes are supported.

## See Also

`PetscMemType`, `PetscDeviceMalloc()`, `PetscDeviceCalloc()`, `PetscDeviceFree()`, `PetscDeviceArrayCopy()`, `PetscDeviceArrayZero()`

## Level

intermediate

## Location

src/sys/objects/device/util/memory.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages